Summary:        Work with TLD names
Name:           perl-Net-Domain-TLD
Version:        1.75
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Domain-TLD
Source0:        https://cpan.metacpan.org/authors/id/A/AL/ALEXP/Net-Domain-TLD-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) perl(base) perl(Carp) perl(warnings)
BuildRequires:  perl(strict) perl(constant) perl(Exporter) perl(Storable)


BuildArch:      noarch

%description
This package provides user with current list of available top level domain
names including new ICANN additions and ccTLDs.

%prep
%autosetup -n Net-Domain-TLD-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
%make_build test

%files
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/man3/*.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.75-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.75-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.75-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.75-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.75-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 11 2022 Shuo Wang <abushwang@tencent.com> - 1.75-1
- initial build

